Junecloud and Snow Leopard compatibility (updated)

The latest version of Mac OS X, Snow Leopard, is coming on August 28th and you may be wondering if our apps and widgets will be compatible. We’re happy to announce that all of our software already works great in Snow Leopard—just make sure you’re using the latest versions. For more details, read on.

All of our software works in Leopard as well, and everything except Plus and Junecloud Automator Actions should work fine in Tiger too. All of our software runs on Macs with both PowerPC and Intel processors. The latest versions will run in 64-bit except for Delivery Status and Smart Widget Installer. (A 64 bit version of Delivery Status will be available eventually—we’re just waiting on an update to the Growl framework.)

Comments

This entry has no comments.

View more

Mac OS X

A sale, some updates, and future updates Our apps are updated and on sale Delivery Status for iOS, Notefile for iOS, and…

Compatibility with OS X Yosemite OS X Yosemite will be available in the fall. Wondering if our software will work right?…

Compatibility with OS X Mavericks OS X Mavericks is now available so you might be wondering if our software will work…

Notefile: on the Mac App Store, iCloud, and more Now available on the Mac App Store Dashboard is great for simple widgets like Notefile…

Our Mac software, Mountain Lion, and the Retina Display OS X Mountain Lion is now available, and the MacBook Pro with Retina Display has been out…